*{
    margin: 0;
    padding: 0;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    box-sizing: border-box;
}

:root{
   /* 
    */
    --primary-color:#fff;
    --secondary-color:#080808;
}
.dark-theme{
    --primary-color:#080808;
    --secondary-color: #fff;
}
 
#icon{
    width: 30px;
    cursor: pointer;
    
}

html{
    scroll-behavior: smooth;
}

body{
    background:var( --primary-color);
    color:var(--secondary-color) ;
}
#header{
    width: 100%;
    height: 100vh;
    background: none;
    background-size: cover;
    background-position: center;
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    text-align: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo{
  
    color: #FFC300;
    font-size: 40px;
    font-weight: bolder;
    
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color:var(--secondary-color);
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    height: 3px;
    width: 0;
    background: #FFC300;
    position: absolute;
    left: 0;
    bottom: -10px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
}
.header-text{
    margin-top: 20%;
    font-size: 30px;
}
.header-text h1{
    font-size: 45px;
    margin-top: 20px;
}
.header-text h1 span{
    color: #FFC300;
}
.header-text a{
    text-decoration: none;
    color: #080808;
    cursor: pointer;
}
.img-box{
    width: 55%;
    height: 80%;
    position: absolute;
    bottom: 0;
    right: 20px;
}
.img-box img{
    height: 100%;
    position: absolute;
    left: 45%;
    bottom: 0;
    transform: translateX(-50%);
    transition: bottom 0.5s, left 0.5s;
}
.img-box:hover .back-img{
    bottom: 40px;
}
.img-box:hover .main-img{
    left: 54%;
}
#about{
    padding: 80px 0;
    color: #ababab;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}
.sub-title{
    font-size: 40px;
    font-weight: 600;
    color:var(--secondary-color);
}
.sub-title span{
    color:#FFC300;
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 700;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    height: 3px;
    width: 0;
    background: #FFC300;
    position: absolute;
    left: 0;
    bottom: -10px;
    transition: 0.5s;
}
.tab-links:hover::after{
    width: 100%;
}
.tab-links.active-link::after{
    width: 30%;
}
.tab-contants ul li{
    list-style: none;
    margin: 10px 0;

}
.tab-contants ul li span{
    color: #FFC300;
    font-size: 14px;
}
.tab-contants{
    display: none;

}
.tab-contants.active-tab{
    display: block;
}
#services{
    padding: 30px 0;
}
.service-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap:40px;
    margin-top:50px;
}
.service-list div{
    background: var( --primary-color);
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-right: 10px;
    transition: background 0.5s, transform 0.5s ;
    border-radius: 15px;
}
.service-list div i{
    font-size: 50px;
    margin-bottom: 30px;

}
.service-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;

}
.service-list div a{
    text-decoration: none;
    color: var(--secondary-color);
    font-size: 120px;
    margin-top: 20px;
    display: inline-block;
}
.service-list div:hover{
    background: #FFC300;
    transform: translateY(-10px);
}
#portfolio{
    padding: 50px 0;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap:40px;
    margin-top:50px;
    transition: background 0.5s, transform 0.5s ;
}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    
}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block;
    
}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #FFC300;
    padding: 14px 50px;
    border-radius: 8px;
    text-decoration: none;
    color: #FFC300;
    transition: background 0.5s;
}
.btn:hover{
    background: #FFC300;
    color: var(--secondary-color);
}


.contact-left{
    
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;
}
.contact-left p i{
    color: #FFC300;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;

}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #FFC300;
    transform: translateY(-5px);

}
.btn.btn2{
    display: inline-block;
    
}
.contact-right form{
    width: 100%;

}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background:var( --secondary-color);
    padding: 15px;
    margin: 15px 0;
    color: var( --primary-color);
    font-size: 18px;
    border-radius: 6px;
}
form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: var( --secondary-color);
    color: var( --primary-color);
    font-weight: 300;
    margin-top: 20px;
}

nav .fa-solid{
    display: none;
}

@media only screen and (max-width: 600px){
    #header{
        
        background: none;
        
    }
    .logo{
        font-size: 15px;
    }
    .img-box img{
        height: 60%;
        position: absolute;
        left: 45%;
        bottom: 60%;
        transform: translateX(-50%);
        transition: bottom 0.5s, left 0.5s;
    }
    .header-text{
        margin-top: 60%;
        font-size: 16px;
    }
    .header-text h1{
        font-size: 30px;
    }
    .img-box{
        width: 15%;
        height: 40%;
        position: absolute;
        bottom: 0;
        right: 100px;
    }
    nav .fa-solid{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background: #FFC300;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }
    nav ul li{
        display: block;
        margin: 25px;
    }
    nav ul .fa-solid{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        width: 100%;
        flex-basis: 100%;

    }
    .about-col-1{
        margin-bottom: 30px;
        font-size: 14px;
    }
    nav ul li a::after{
        background:var(--secondary-color);
    }
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
    .logo{
        width: 80px;
        
        
        
    }
}  
#msg{
    color: #61b752;
    margin-top: -10px;
    display: block;
} 